package com.spring.infra.batch;

import org.springframework.batch.core.Job;

public interface AbstractBatch {

    void initializeBatchJobInfo();

    void registerJobBean();

    Job createJob();

    default String removeScopedTargetPrefix(String beanName) {
        return beanName.startsWith("scopedTarget.") ? beanName.substring("scopedTarget.".length()) : beanName;
    }
    
}
